Row.RowSerializer (apache-cassandra API)
Date: 2012-05-04

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.db
Class Row.RowSerializer

    java.lang.Object
      org.apache.cassandra.db.Row.RowSerializer

All Implemented Interfaces:
  IVersionedSerializer<Row>

Enclosing class:
  Row

    public static class Row.RowSerializer

extends java.lang.Object
implements IVersionedSerializer<Row>

Constructor Summary
`Row.RowSerializer()`

Method Summary
`Row` | `deserialize(java.io.DataInput dis, int version)` Deserialize into the specified DataInputStream instance.
`Row` | `deserialize(java.io.DataInput dis, int version, IColumnSerializer.Flag flag, ISortedColumns.Factory factory)`
`void` | `serialize(Row row, java.io.DataOutput dos, int version)` Serialize the specified type into the specified DataOutputStream instance.
`long` | `serializedSize(Row row, int version)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Row.RowSerializer

    public Row.RowSerializer()

Method Detail

### serialize

    public void serialize(Row row,
                          java.io.DataOutput dos,
                          int version)
                   throws java.io.IOException

  Description copied from interface: `IVersionedSerializer`
  Serialize the specified type into the specified DataOutputStream instance.

  Specified by:
    `serialize` in interface `IVersionedSerializer<Row>`
  Parameters:
    `row` - type that needs to be serialized
    `dos` - DataOutput into which serialization needs to happen.
  Throws:
    `java.io.IOException`

### deserialize

    public Row deserialize(java.io.DataInput dis,
                           int version,
                           IColumnSerializer.Flag flag,
                           ISortedColumns.Factory factory)
                    throws java.io.IOException

  Throws:
    `java.io.IOException`

### deserialize

    public Row deserialize(java.io.DataInput dis,
                           int version)
                    throws java.io.IOException

  Description copied from interface: `IVersionedSerializer`
  Deserialize into the specified DataInputStream instance.

  Specified by:
    `deserialize` in interface `IVersionedSerializer<Row>`
  Parameters:
    `dis` - DataInput from which deserialization needs to happen.
  Returns:
    the type that was deserialized
  Throws:
    `java.io.IOException`

### serializedSize

    public long serializedSize(Row row,
                               int version)

  Specified by:
    `serializedSize` in interface `IVersionedSerializer<Row>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation